## org.h2.bnf.context
Class DbContents

    java.lang.Object
      org.h2.bnf.context.DbContents

    public class DbContents

extends java.lang.Object

Keeps meta data information about a database. This class is used by the H2 Console.

Constructor Summary
`DbContents()`

Method Summary
`DbSchema` `getDefaultSchema()`
`DbSchema[]` `getSchemas()`
`boolean` `isDB2()`
`boolean` `isDerby()`
`boolean` `isFirebird()`
`boolean` `isH2()`
`boolean` `isH2ModeMySQL()`
`boolean` `isMSSQLServer()`
`boolean` `isMySQL()`
`boolean` `isOracle()`
`boolean` `isPostgreSQL()`
`boolean` `isSQLite()`
`java.lang.String` `quoteIdentifier(java.lang.String identifier)` Add double quotes around an identifier if required.
`void` `readContents(java.lang.String url, java.sql.Connection conn)` Read the contents of this database from the database meta data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbContents

    public DbContents()

Method Detail

### getDefaultSchema

    public DbSchema getDefaultSchema()

  Returns:
    The default schema.

### isDerby

    public boolean isDerby()

  Returns:
    True if this is an Apache Derby database.

### isFirebird

    public boolean isFirebird()

  Returns:
    True if this is a Firebird database.

### isH2

    public boolean isH2()

  Returns:
    True if this is a H2 database.

### isH2ModeMySQL

    public boolean isH2ModeMySQL()

  Returns:
    True if this is a H2 database in MySQL mode.

### isMSSQLServer

    public boolean isMSSQLServer()

  Returns:
    True if this is a MS SQL Server database.

### isMySQL

    public boolean isMySQL()

  Returns:
    True if this is a MySQL database.

### isOracle

    public boolean isOracle()

  Returns:
    True if this is an Oracle database.

### isPostgreSQL

    public boolean isPostgreSQL()

  Returns:
    True if this is a PostgreSQL database.

### isSQLite

    public boolean isSQLite()

  Returns:
    True if this is an SQLite database.

### isDB2

    public boolean isDB2()

  Returns:
    True if this is an IBM DB2 database.

### getSchemas

    public DbSchema[] getSchemas()

  Returns:
    The list of schemas.

### readContents

    public void readContents(java.lang.String url,
                             java.sql.Connection conn)
                      throws java.sql.SQLException

  Read the contents of this database from the database meta data.

  Parameters:
    `url` - the database URL
    `conn` - the connection
  Throws:
    `java.sql.SQLException`

### quoteIdentifier

    public java.lang.String quoteIdentifier(java.lang.String identifier)

  Add double quotes around an identifier if required. For the H2 database, all identifiers are quoted.

  Parameters:
    `identifier` - the identifier
  Returns:
    the quoted identifier